at.chipkarte.client.base.soap

## Class MessagePollResult

- Object
- - at.chipkarte.client.base.soap.MessagePollResult

-     public class MessagePollResult
      extends Object

  Enthält die Daten zu den über den Poll-Mechanismus abgefragten Nachrichten.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessagePollResult()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Message[]` | `getNachrichten()` Enthält die vorhandenen Nachrichten zur Abfrage.
    `String` | `getNaechsterSuchzeitpunkt()` Gibt den nächsten Suchzeitpunkt an.
    `Boolean` | `isNachrichtenVerfuegbar()` Gibt an, ob Nachrichten verfügbar sind.
    `void` | `setNachrichten(Message[] nachrichten)`
    `void` | `setNachrichtenVerfuegbar(Boolean nachrichtenVerfuegbar)`
    `void` | `setNaechsterSuchzeitpunkt(String naechsterSuchzeitpunkt)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessagePollResult

          public MessagePollResult()

  - ### Method Detail

    - #### getNachrichten

          public Message[] getNachrichten()

      Enthält die vorhandenen Nachrichten zur Abfrage.
      Returns:
        Nachrichten

    - #### setNachrichten

          public void setNachrichten(Message[] nachrichten)

    - #### isNachrichtenVerfuegbar

          public Boolean isNachrichtenVerfuegbar()

      Gibt an, ob Nachrichten verfügbar sind.
      Returns:
        Kennzeichen - true, wenn Nachrichten verfügbar sind

    - #### setNachrichtenVerfuegbar

          public void setNachrichtenVerfuegbar(Boolean nachrichtenVerfuegbar)

    - #### getNaechsterSuchzeitpunkt

          public String getNaechsterSuchzeitpunkt()

      Gibt den nächsten Suchzeitpunkt an.
      Returns:
        der nächste Suchzeitpunkt

    - #### setNaechsterSuchzeitpunkt

          public void setNaechsterSuchzeitpunkt(String naechsterSuchzeitpunkt)